org.apache.ignite.internal.pagemem.wal.record

## Class TxRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord
    - - org.apache.ignite.internal.pagemem.wal.record.TxRecord

Direct Known Subclasses:
  MvccTxRecord

    public class TxRecord
    extends TimeStampRecord

Logical data record indented for transaction (tx) related actions.
This record is marker of begin, prepare, commit, and rollback transactions.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp`

### Constructor Summary

Constructors
Constructor and Description
`TxRecord(TransactionState state, GridCacheVersion nearXidVer, GridCacheVersion writeVer, @Nullable Map<Short,Collection<Short>> participatingNodes)`
`TxRecord(TransactionState state, GridCacheVersion nearXidVer, GridCacheVersion writeVer, @Nullable Map<Short,Collection<Short>> participatingNodes, long ts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCacheVersion` `nearXidVersion()`
`Map<Short,Collection<Short>>` `participatingNodes()`
`TransactionState` `state()`
`String` `toString()`
`WALRecord.RecordType` `type()`
`GridCacheVersion` `writeVersion()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.TimeStampRecord

`timestamp, timestamp`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxRecord

    public TxRecord(TransactionState state,
                    GridCacheVersion nearXidVer,
                    GridCacheVersion writeVer,
                    @Nullable
                    @Nullable Map<Short,Collection<Short>> participatingNodes)

Parameters:
  `state` - Transaction state.
  `nearXidVer` - Transaction id.
  `writeVer` - Transaction entries write topology version.
  `participatingNodes` - Primary -> Backup nodes compact IDs participating in transaction.

#### TxRecord

    public TxRecord(TransactionState state,
                    GridCacheVersion nearXidVer,
                    GridCacheVersion writeVer,
                    @Nullable
                    @Nullable Map<Short,Collection<Short>> participatingNodes,
                    long ts)

Parameters:
  `state` - Transaction state.
  `nearXidVer` - Transaction id.
  `writeVer` - Transaction entries write topology version.
  `participatingNodes` - Primary -> Backup nodes participating in transaction.
  `ts` - TimeStamp.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near xid version.

#### writeVersion

    public GridCacheVersion writeVersion()

Returns:
  DHT version.

#### state

    public TransactionState state()

Returns:
  Transaction state.

#### participatingNodes

    public Map<Short,Collection<Short>> participatingNodes()

Returns:
  Primary -> backup participating nodes compact IDs.

#### toString

    public String toString()

Overrides:
  `toString` in class `TimeStampRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022